1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330 331 332 333 334 335 336 337 338 339 340 341 342 343 344 345 346 347 348 349 350 351 352 353 354 355 356 357 358 359 360 361 362 363 364 365 366 367 368 369 370 371 372 373 374 375 376 377 378 379 380 381 382 383 384 385 386 387 388 389 390 391 392 393 394 395 396 397 398 399 400 401 402 403 404 405 406 407 408
|
# bootstrap.conf (GNU Libtool) version 2014-11-18
#
# Copyright (C) 2010-2019, 2021-2024 Free Software Foundation, Inc.
# Written by Gary V. Vaughan, 2010
# This is free software; see the source for copying conditions. There is NO
# warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# GNU Libtool is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# GNU Libtool is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Libtool. If not, see <https://www.gnu.org/licenses/>.
## -------------------------------- ##
## User overridable command paths. ##
## -------------------------------- ##
: "${MAKE=make}"
export MAKE
## -------------- ##
## Configuration. ##
## -------------- ##
# File that should exist in the top directory of a checked out hierarchy,
# but not in a distribution tarball.
checkout_only_file=HACKING
# List of programs (and minimum versions) required to bootstrap, maintain
# and release Libtool.
buildreq="
help2man 1.29 https://www.gnu.org/s/help2man
make 3.81 https://www.gnu.org/s/make
makeinfo 4.8 https://www.gnu.org/s/texinfo
xz 4.999.8beta https://tukaani.org/xz
"
# Instructions on how to install packages in $buildreq.
buildreq_readme=HACKING
# Non-default gnulib directories.
local_gl_path=gl:gl-mod/bootstrap
# We don't need the whole copy of gnulib.
gnulib_clone_since=2019-02-19
# Additional gnulib-tool options to use.
gnulib_tool_options=$gnulib_tool_options"
--avoid=dummy
--libtool
--macro-prefix=GL
--with-tests --tests-base=gnulib-tests
"
# gnulib modules used by this package.
gnulib_modules='
announce-gen
bootstrap
do-release-commit-and-tag
extract-trace
gendocs
gnu-web-doc-update
gnupload
inline-source
maintainer-makefile
options-parser
readme-release
update-copyright
'
gnulib_git_submodules='
gl-mod/bootstrap
'
# Extra gnulib files that are not in modules, which override files of
# the same name installed by other bootstrap tools.
gnulib_non_module_files=$gnulib_non_module_files'
doc/COPYINGv2
doc/fdl.texi
'
# What ignore files to maintain.
vc_ignore=.gitignore
# Running the installed 'libtoolize' will trash the local (newer) libtool.m4
# among others. Don't use ':', since autoreconf can't exec it!
LIBTOOLIZE=true
# List of file droppings from old releases of Libtool.
libtool_obsolete_files="
acinclude.m4
argz.c
libltdl/config.h
lt__dirent.c
lt__strl.c
"
## ------------------- ##
## Override functions. ##
## ------------------- ##
# func_autopoint
# --------------
# Libtool does not use autopoint.
func_autopoint ()
{
$debug_cmd
}
# func_libtoolize
# ---------------
# Libtoolize is part of Libtool!
func_libtoolize ()
{
$debug_cmd
}
## ---------------------------- ##
## Libtool bootstrap functions. ##
## ---------------------------- ##
# libtool_prep
# ------------
# Libtool bootstrap initialisation after successful option parse and
# validation.
libtool_prep ()
{
$debug_cmd
# initial clean-up of checked out tree
find . -depth \( -name autom4te.cache -o -name libtool \) -print \
| grep -v '{arch}' \
| xargs rm -rf
# remove obsolete file droppings from old Libtool versions
for file in $libtool_obsolete_files; do
rm -f $file
done
}
func_add_hook func_prep libtool_prep
# libtool_add_libltdl_copying
# ---------------------------
# Use the canonical COPYING.LESSERv2 from gnulib.
libtool_add_libltdl_copying ()
{
$debug_cmd
func_gnulib_tool_copy_file doc/COPYING.LESSERv2 libltdl/COPYING.LIB
}
func_add_hook func_gnulib_tool libtool_add_libltdl_copying
# libtool_build_prerequisites
# ---------------------------
# Libtool generates some files that are required before any autotools
# can be run successfully.
libtool_build_prerequisites ()
{
$debug_cmd
$require_build_aux
$require_ltdl_dir
$require_macro_dir
$require_package
$require_package_bugreport
$require_package_name
$require_package_url
$require_package_version
# Whip up a dirty Makefile:
makes='Makefile.am libltdl/ltdl.mk'
rm -f Makefile
{
echo "aux_dir = $build_aux"
echo "ltdl_dir = $ltdl_dir"
echo "macro_dir = $macro_dir"
# The following allow us to tie bootstrap-deps output verbosity
# into the bootstrap --verbose option:
echo 'AM_V_GEN = $(am__v_GEN_$(V))'
echo 'am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))'
echo 'am__v_GEN_0 = @echo " GEN " $@;'
echo 'AM_V_at = $(am__v_at_$(V))'
echo 'am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))'
echo 'am__v_at_0 = @'
$SED '/^if /,/^endif$/d;/^else$/,/^endif$/d;/^include /d' $makes
} > Makefile
# Building distributed files from configure is bad for automake, so we
# generate them here, and have Makefile rules to keep them up to date.
func_show_eval "$MAKE bootstrap-deps \
AM_DEFAULT_VERBOSITY=0 `$opt_verbose && echo V=1` \
PACKAGE='$package' PACKAGE_BUGREPORT='$package_bugreport' \
PACKAGE_NAME='$package_name' PACKAGE_URL='$package_url' \
SED='$SED' srcdir=. VERSION='$package_version'"
status=$?
rm -f Makefile
test 0 -eq "$status" ||exit $EXIT_FAILURE
}
func_add_hook func_gnulib_tool libtool_build_prerequisites
# libtool_autoreconf_libltdl
# --------------------------
# Libtldl directory needs to be autoreconfed too.
libtool_autoreconf_libltdl ()
{
$debug_cmd
# Also bootstrap libltdl ready for installation.
func_autoreconf libltdl
}
func_add_hook func_reconfigure libtool_autoreconf_libltdl
# libtool_readme_release_package_substitutions
# --------------------------------------------
# Show our own package details instead of generic strings.
libtool_readme_release_package_substitutions ()
{
$debug_cmd
$require_build_aux
$require_package
my_readme=README-release
test -f "$my_readme" \
|| func_fatal_error "error: '$my_readme' does not exist"
# Perform substitutions to a temporary file
$SED -e "\
s|\@PACKAGE\@|$package|g
" "$my_readme" > "${my_readme}T" \
&& mv "${my_readme}T" "$my_readme"
}
func_add_hook func_fini libtool_readme_release_package_substitutions
# libtool_fudge_timestamps
# ------------------------
# Autoheader valiantly tries to prevent needless reconfigurations by
# not changing the timestamp of config-h.in unless the file contents
# are updated. Unfortunately config-h.in depends on aclocal.m4, which
# *is* updated, so running 'libtoolize --ltdl=. && configure && make'
# causes autoheader to be called... undesirable for users that do not
# have it! Fudge the timestamp to prevent that. But only fudge it as
# much as configure since configure depends on config-h.in and we don't
# want to require autoconf either.
libtool_fudge_timestamps ()
{
$debug_cmd
(
cd libltdl
touch -r configure config-h.in
)
}
func_add_hook func_fini libtool_fudge_timestamps
# libtool_cleanup
# ---------------
libtool_cleanup ()
{
$debug_cmd
# These files can cause an infinite configure loop if left behind.
rm -f Makefile libltdl/Makefile libtool vcl.tmp
}
func_add_hook func_fini libtool_cleanup
# libtool_check_for_bogus_macros
# ------------------------------
# Try to catch the case where 'aclocal' pulls installed libtool macro
# file contents from another version of libtool into the current package
# 'aclocal.m4'.
libtool_check_for_bogus_macros ()
{
$debug_cmd
$require_build_aux
$build_aux/no-bogus-m4-defines || exit 1
}
func_add_hook func_fini libtool_check_for_bogus_macros
# libtool_cleanup_empty_dirs
# --------------------------
# Gnulib leaves behind a few files we don't need.
libtool_cleanup_empty_dirs ()
{
$debug_cmd
my_gnulib_source=${source_base:-'lib'}
if test -d "$my_gnulib_source"; then
rm -f "$my_gnulib_source/.gitignore" "$my_gnulib_source/Makefile.am" || exit 1
rmdir "$my_gnulib_source" || exit 1
fi
}
func_add_hook func_fini libtool_cleanup_empty_dirs
## -------------------- ##
## Resource management. ##
## -------------------- ##
# require_ltdl_dir
# ----------------
# Extract libtool's ltdl directory from configure.ac.
require_ltdl_dir=func_require_ltdl_dir
func_require_ltdl_dir ()
{
$debug_cmd
$require_configure_ac
func_extract_trace LT_CONFIG_LTDL_DIR
save_ifs=$IFS
IFS=:
set dummy $func_extract_trace_result
IFS=$save_ifs
shift
ltdl_dir=$1
func_check_configuration ltdl_dir \
"LT_CONFIG_LTDL_DIR([name of your libltdl directory])"
func_verbose "ltdl_dir='$ltdl_dir'"
require_ltdl_dir=:
}
# require_package_url
# -------------------
# Ensure that package_url has a sensible default.
require_package_url=libtool_require_package_url
libtool_require_package_url ()
{
$debug_cmd
$require_configure_ac
func_extract_trace AC_INIT
save_IFS=$IFS
IFS=:
set dummy $func_extract_trace_result
IFS=$save_IFS
shift
test -n "$package_url " || package_url=$5
test -n "$package_url" || {
# How to extract the parameters for 'make bootstrap-deps' from
# configure.ac. This is very specific to the way Libtool's
# configure.ac layout.
sed_extract_package_url='s|#.*$||; s|^dnl .*$||; s| dnl .*$||;
/AC_SUBST([[]*PACKAGE_URL/{
s|.*AC_SUBST([[ ]*PACKAGE_URL[] ]*,[[ ]*|package_url="|
s|[]) ]*$|"|
p
}'
# Extract package_url setting from configure.ac.
eval `$SED -n "$sed_extract_package_url" < configure.ac`
}
test -n "$package_url" \
|| func_fatal_error "unable to determine 'package_url' from '$configure_ac'."
func_verbose "package_url='$package_url'"
require_package_url=:
}
# Local variables:
# mode: shell-script
# sh-indentation: 2
# eval: (add-hook 'write-file-hooks 'time-stamp)
# time-stamp-start: "# bootstrap.conf (GNU Libtool) version "
# time-stamp-format: "%:y-%02m-%02d"
# time-stamp-end: "$"
# End:
|